aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Core

Synopsis

- data SesError = SesError {
  - sesStatusCode :: Status
  - sesErrorCode :: Text
  - sesErrorMessage :: Text
  }
- data SesMetadata = SesMetadata {
  - requestId :: Maybe Text
  }
- data SesConfiguration qt = SesConfiguration {
  - sesiHttpMethod :: Method
  - sesiHost :: ByteString
  }
- sesEuWest1 :: ByteString
- sesUsEast :: ByteString
- sesUsEast1 :: ByteString
- sesUsWest2 :: ByteString
- sesHttpsGet :: ByteString -> SesConfiguration qt
- sesHttpsPost :: ByteString -> SesConfiguration NormalQuery
- sesSignQuery :: [(ByteString, ByteString)] -> SesConfiguration qt -> SignatureData -> SignedQuery
- sesResponseConsumer :: (Cursor -> Response SesMetadata a) -> IORef SesMetadata -> HTTPResponseConsumer a
- data RawMessage = RawMessage {
  - rawMessageData :: ByteString
  }
- data Destination = Destination {
  - destinationBccAddresses :: [EmailAddress]
  - destinationCcAddresses :: [EmailAddress]
  - destinationToAddresses :: [EmailAddress]
  }
- type EmailAddress = Text
- data Sender = Sender {
  - senderAddress :: EmailAddress
  }
- sesAsQuery :: SesAsQuery a => a -> [(ByteString, ByteString)]

# Documentation

data SesError #

Constructors

SesError |

Fields

- sesStatusCode :: Status
- sesErrorCode :: Text
- sesErrorMessage :: Text

#### Instances

Instances details

Exception SesError # |
Instance details Defined in Aws.Ses.Core Methods toException :: SesError -> SomeException # fromException :: SomeException -> Maybe SesError # displayException :: SesError -> String #
Show SesError # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> SesError -> ShowS # show :: SesError -> String # showList :: [SesError] -> ShowS #

data SesMetadata #

Constructors

SesMetadata |

Fields

- requestId :: Maybe Text

#### Instances

Instances details

Loggable SesMetadata # |
Instance details Defined in Aws.Ses.Core Methods toLogText :: SesMetadata -> Text #
Monoid SesMetadata # |
Instance details Defined in Aws.Ses.Core Methods mempty :: SesMetadata # mappend :: SesMetadata -> SesMetadata -> SesMetadata # mconcat :: [SesMetadata] -> SesMetadata #
Semigroup SesMetadata # |
Instance details Defined in Aws.Ses.Core Methods (<>) :: SesMetadata -> SesMetadata -> SesMetadata # sconcat :: NonEmpty SesMetadata -> SesMetadata # stimes :: Integral b => b -> SesMetadata -> SesMetadata #
Show SesMetadata # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> SesMetadata -> ShowS # show :: SesMetadata -> String # showList :: [SesMetadata] -> ShowS #

data SesConfiguration qt #

Constructors

SesConfiguration |

Fields

- sesiHttpMethod :: Method
- sesiHost :: ByteString

#### Instances

Instances details

DefaultServiceConfiguration (SesConfiguration NormalQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration NormalQuery # debugServiceConfig :: SesConfiguration NormalQuery #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration UriOnlyQuery # debugServiceConfig :: SesConfiguration UriOnlyQuery #
Show (SesConfiguration qt) # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> SesConfiguration qt -> ShowS # show :: SesConfiguration qt -> String # showList :: [SesConfiguration qt] -> ShowS #

sesEuWest1 :: ByteString #

sesUsEast :: ByteString #

sesUsEast1 :: ByteString #

sesUsWest2 :: ByteString #

sesHttpsGet :: ByteString -> SesConfiguration qt #

sesHttpsPost :: ByteString -> SesConfiguration NormalQuery #

sesSignQuery :: [(ByteString, ByteString)] -> SesConfiguration qt -> SignatureData -> SignedQuery #

sesResponseConsumer :: (Cursor -> Response SesMetadata a) -> IORef SesMetadata -> HTTPResponseConsumer a #

data RawMessage #

A raw e-mail.

Constructors

RawMessage |

Fields

- rawMessageData :: ByteString

#### Instances

Instances details

Show RawMessage # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> RawMessage -> ShowS # show :: RawMessage -> String # showList :: [RawMessage] -> ShowS #
Eq RawMessage # |
Instance details Defined in Aws.Ses.Core Methods (==) :: RawMessage -> RawMessage -> Bool # (/=) :: RawMessage -> RawMessage -> Bool #
Ord RawMessage # |
Instance details Defined in Aws.Ses.Core Methods compare :: RawMessage -> RawMessage -> Ordering # (<) :: RawMessage -> RawMessage -> Bool # (<=) :: RawMessage -> RawMessage -> Bool # (>) :: RawMessage -> RawMessage -> Bool # (>=) :: RawMessage -> RawMessage -> Bool # max :: RawMessage -> RawMessage -> RawMessage # min :: RawMessage -> RawMessage -> RawMessage #

data Destination #

The destinations of an e-mail.

Constructors

Destination |

Fields

- destinationBccAddresses :: [EmailAddress]
- destinationCcAddresses :: [EmailAddress]
- destinationToAddresses :: [EmailAddress]

#### Instances

Instances details

Monoid Destination # |
Instance details Defined in Aws.Ses.Core Methods mempty :: Destination # mappend :: Destination -> Destination -> Destination # mconcat :: [Destination] -> Destination #
Semigroup Destination # |
Instance details Defined in Aws.Ses.Core Methods (<>) :: Destination -> Destination -> Destination # sconcat :: NonEmpty Destination -> Destination # stimes :: Integral b => b -> Destination -> Destination #
Show Destination # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> Destination -> ShowS # show :: Destination -> String # showList :: [Destination] -> ShowS #
Eq Destination # |
Instance details Defined in Aws.Ses.Core Methods (==) :: Destination -> Destination -> Bool # (/=) :: Destination -> Destination -> Bool #
Ord Destination # |
Instance details Defined in Aws.Ses.Core Methods compare :: Destination -> Destination -> Ordering # (<) :: Destination -> Destination -> Bool # (<=) :: Destination -> Destination -> Bool # (>) :: Destination -> Destination -> Bool # (>=) :: Destination -> Destination -> Bool # max :: Destination -> Destination -> Destination # min :: Destination -> Destination -> Destination #

type EmailAddress = Text #

An e-mail address.

data Sender #

The sender's e-mail address.

Constructors

Sender |

Fields

- senderAddress :: EmailAddress

#### Instances

Instances details

Show Sender # |
Instance details Defined in Aws.Ses.Core Methods showsPrec :: Int -> Sender -> ShowS # show :: Sender -> String # showList :: [Sender] -> ShowS #
Eq Sender # |
Instance details Defined in Aws.Ses.Core Methods (==) :: Sender -> Sender -> Bool # (/=) :: Sender -> Sender -> Bool #
Ord Sender # |
Instance details Defined in Aws.Ses.Core Methods compare :: Sender -> Sender -> Ordering # (<) :: Sender -> Sender -> Bool # (<=) :: Sender -> Sender -> Bool # (>) :: Sender -> Sender -> Bool # (>=) :: Sender -> Sender -> Bool # max :: Sender -> Sender -> Sender # min :: Sender -> Sender -> Sender #

sesAsQuery :: SesAsQuery a => a -> [(ByteString, ByteString)] #

Write a data type as a list of query parameters.